Bug 978868 - Broker creates queues with default policy limit when removed policy is specified
Broker creates queues with default policy limit when removed policy is specified
Status: NEW
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-cpp (Show other bugs)
2.4
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Chuck Rolke
Messaging QE
:
Depends On:
Blocks: 978867
  Show dependency treegraph
 
Reported: 2013-06-27 05:02 EDT by Zdenek Kraus
Modified: 2014-07-30 16:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Zdenek Kraus 2013-06-27 05:02:51 EDT
Description of problem:
when you try to create a queue with removed policy limit, broker creates queue object, but with the default (=reject) policy.

Version-Release number of selected component (if applicable):
qpid-cpp-0.24-5

How reproducible:
100%

Steps to Reproduce:
> qpid-config add queue x-reject --limit-policy=reject
> qpid-config add queue x-ftd    --limit-policy=flow-to-disk
> qpid-config add queue x-ring   --limit-policy=ring
> qpid-config add queue x-ring-s --limit-policy=ring-strict

Actual results:
2013-06-26 13:36:39 [Broker] notice Broker running
2013-06-26 13:38:07 [Broker] warning Unrecognised policy option: flow_to_disk
2013-06-26 13:38:52 [Broker] warning Unrecognised policy option: ring_strict

Expected results:
the queues are not created when specified limit policy does not exists anymore

Additional info:

Note You need to log in before you can comment on or make changes to this bug.